x2golistsessions(8)

NAME
x2golistsessions - List Available X2Go Sessions for User

SYNOPSIS
x2golistsessions [<server_hostname>|--all-servers]

DESCRIPTION
x2golistsessions returns a list of running or suspended X2Go sessions for X2Go server <server_hostname>. If no server hostname is given at the command line, the session list query runs for the local system.

x2golistsessions is run with normal user privileges and it is used by X2Go clients to render a list of available X2Go sessions.

X2GO CLUSTER MODE
If x2golistsessions is executed with the --all-servers option then the central database of your X2Go cluster is queried for running/suspended sessions belonging to the user executing this command. These sessions may be active on any of the X2Go servers within your cluster.

RETURN VALUES
A line-by-line list of available X2Go sessions. Each line consists of several session attribute fields separated by the pipe symbol (,,|'').

The meaning of the session attributes of each output line are shown below:
  field 01: <agent_pid>
  field 02: <session_id>
  field 03: <port>
  field 04: <host>
  field 05: <state>
  field 06: <init_time>
  field 07: <session_cookie>
  field 08: <client_ip>
  field 09: <gr_port>
  field 10: <snd_port>
  field 11: <last_time>
  field 12: <user>
  field 13: <age_in_secs>
  field 14: <sshfs_port>

As exitcode x2golistsessions always returns 0.

SEE ALSO
x2golistsessions_root(8), x2golistdesktops(8), x2goresume-session(8), x2gosuspend-session(8), x2goterminate-session(8)

AUTHOR
This manual has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the X2Go project (http://www.x2go.org).